### Name: PermutationDistribution
### Title: Permutation Distribution of Conditional Independence Tests
### Aliases: pperm pperm-methods pperm,NullDistribution-method
###   pperm,IndependenceTest-method qperm qperm-methods
###   qperm,NullDistribution-method qperm,IndependenceTest-method dperm
###   dperm-methods dperm,NullDistribution-method
###   dperm,IndependenceTest-method support support-methods
###   support,NullDistribution-method support,IndependenceTest-method
### Keywords: methods htest

### ** Examples


  ### artificial 2-sample problem
  df <- data.frame(y = rnorm(20), x = gl(2, 10))

  ### Ansari-Bradley test
  at <- ansari_test(y ~ x, data = df, distribution = "exact")

  ### density of the exact distribution of the Ansari-Bradley statistic
  dens <- sapply(support(at), dperm, object = at)

  ### plot density
  plot(support(at), dens, type = "s")

  ### 95% quantile
  qperm(at, 0.95)

  ### one-sided p-value
  pperm(at, statistic(at))




