### Name: statistic-methods
### Title: Extract Test Statistics, Linear Statistics and Standardized
###   Statistics
### Aliases: statistic statistic-methods statistic,IndependenceTest-method
###   statistic,IndependenceLinearStatistic-method
###   statistic,IndependenceTestStatistic-method
### Keywords: methods

### ** Examples


  df <- data.frame(y = gl(4, 5), x = gl(5, 4))

  ### Cochran-Mantel-Haenzel Test
  ct <- cmh_test(y ~ x, data = df)

  ### chi-squared statistic
  statistic(ct)

  ### the linear statistic, i.e, the contingency table
  statistic(ct, type = "linear")

  ### the same
  table(df$x, df$y)

  ### and the standardized contingency table for illustrating
  ### departures from the null hypothesis of independence of x and y
  statistic(ct, type = "standardized")




